#include "irc.h"
#include <unistd.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include "../weechat-plugin.h"
#include "main.h"
#include "../../core/weechat.h"
#include "../../core/wee-arraylist.h"
#include "../../core/wee-config.h"
#include "../../core/wee-eval.h"
#include "../../core/wee-hashtable.h"
#include "../../core/wee-hdata.h"
#include "../../core/wee-hook.h"
#include "../../core/wee-infolist.h"
#include "../../core/wee-list.h"
#include "../../core/wee-log.h"
#include "../../core/wee-network.h"
#include "../../core/wee-string.h"
#include "../../core/wee-upgrade-file.h"
#include "../../core/wee-utf8.h"
#include "../../core/wee-util.h"
#include "/home/stnevans/Desktop/cyber-research/fuzz/weechat/new/weechat/src/plugins/plugin.h"
#include "../plugin-api.h"


#include "../../gui/gui-bar.h"
#include "../../gui/gui-bar-item.h"
#include "../../gui/gui-buffer.h"
#include "../../gui/gui-chat.h"
#include "../../gui/gui-color.h"
#include "../../gui/gui-key.h"
#include "../../gui/gui-nicklist.h"
#include "../../gui/gui-window.h"
struct t_weechat_plugin *fuzz_irc_plugin;
const char *
plugin_get_name1 (struct t_weechat_plugin *plugin)
{
    return "fuzz_irc";
}
void mock_printf (struct t_gui_buffer *buffer, time_t date,
                           const char *tags, const char *message, ...){
                               return;
                           }
struct t_weechat_plugin * init_plugin_a(){
    struct t_weechat_plugin  * new_plugin = malloc(sizeof(struct t_weechat_plugin));
    if (new_plugin)
    {
        /* variables */
        new_plugin->filename = "test";
        new_plugin->handle = 1;
        new_plugin->name = "fuzz_irc";
        new_plugin->description = "fuzz a bit";
        new_plugin->author = "me";
        new_plugin->version = "1.0";
        new_plugin->license = "CC";
        new_plugin->charset = "utf-9";
        new_plugin->priority = 1000;
        new_plugin->initialized = 0;
        new_plugin->debug = 0;
        new_plugin->upgrading = weechat_upgrading;
        new_plugin->variables = hashtable_new (
            32,
            WEECHAT_HASHTABLE_STRING, WEECHAT_HASHTABLE_STRING,
            NULL, NULL);

        /* functions */
        new_plugin->plugin_get_name = &plugin_get_name1;

        new_plugin->charset_set = &plugin_api_charset_set;
        new_plugin->iconv_to_internal = &string_iconv_to_internal;
        new_plugin->iconv_from_internal = &string_iconv_from_internal;
        new_plugin->gettext = &plugin_api_gettext;
        new_plugin->ngettext = &plugin_api_ngettext;
        new_plugin->strndup = &string_strndup;
        new_plugin->string_tolower = &string_tolower;
        new_plugin->string_toupper = &string_toupper;
        new_plugin->strcasecmp = &string_strcasecmp;
        new_plugin->strcasecmp_range = &string_strcasecmp_range;
        new_plugin->strncasecmp = &string_strncasecmp;
        new_plugin->strncasecmp_range = &string_strncasecmp_range;
        new_plugin->strcmp_ignore_chars = &string_strcmp_ignore_chars;
        new_plugin->strcasestr = &string_strcasestr;
        new_plugin->strlen_screen = &gui_chat_strlen_screen;
        new_plugin->string_match = &string_match;
        new_plugin->string_match_list = &string_match_list;
        new_plugin->string_replace = &string_replace;
        new_plugin->string_expand_home = &string_expand_home;
        new_plugin->string_eval_path_home = &string_eval_path_home;
        new_plugin->string_remove_quotes = &string_remove_quotes;
        new_plugin->string_strip = &string_strip;
        new_plugin->string_convert_escaped_chars = &string_convert_escaped_chars;
        new_plugin->string_mask_to_regex = &string_mask_to_regex;
        new_plugin->string_regex_flags = &string_regex_flags;
        new_plugin->string_regcomp = &string_regcomp;
        new_plugin->string_has_highlight = &string_has_highlight;
        new_plugin->string_has_highlight_regex = &string_has_highlight_regex;
        new_plugin->string_replace_regex = &string_replace_regex;
        new_plugin->string_split = &string_split;
        new_plugin->string_split_shell = &string_split_shell;
        new_plugin->string_free_split = &string_free_split;
        new_plugin->string_build_with_split_string = &string_build_with_split_string;
        new_plugin->string_split_command = &string_split_command;
        new_plugin->string_free_split_command = &string_free_split_command;
        new_plugin->string_format_size = &string_format_size;
        new_plugin->string_remove_color = &gui_color_decode;
        new_plugin->string_base_encode = &plugin_api_string_base_encode;
        new_plugin->string_base_decode = &plugin_api_string_base_decode;
        new_plugin->string_hex_dump = &string_hex_dump;
        new_plugin->string_is_command_char = &string_is_command_char;
        new_plugin->string_input_for_buffer = &string_input_for_buffer;
        new_plugin->string_eval_expression = &eval_expression;
        new_plugin->string_dyn_alloc = &string_dyn_alloc;
        new_plugin->string_dyn_copy = &string_dyn_copy;
        new_plugin->string_dyn_concat = &string_dyn_concat;
        new_plugin->string_dyn_free = &string_dyn_free;

        new_plugin->utf8_has_8bits = &utf8_has_8bits;
        new_plugin->utf8_is_valid = &utf8_is_valid;
        new_plugin->utf8_normalize = &utf8_normalize;
        new_plugin->utf8_prev_char = &utf8_prev_char;
        new_plugin->utf8_next_char = &utf8_next_char;
        new_plugin->utf8_char_int = &utf8_char_int;
        new_plugin->utf8_char_size = &utf8_char_size;
        new_plugin->utf8_strlen = &utf8_strlen;
        new_plugin->utf8_strnlen = &utf8_strnlen;
        new_plugin->utf8_strlen_screen = &utf8_strlen_screen;
        new_plugin->utf8_charcmp = &utf8_charcmp;
        new_plugin->utf8_charcasecmp = &utf8_charcasecmp;
        new_plugin->utf8_char_size_screen = &utf8_char_size_screen;
        new_plugin->utf8_add_offset = &utf8_add_offset;
        new_plugin->utf8_real_pos = &utf8_real_pos;
        new_plugin->utf8_pos = &utf8_pos;
        new_plugin->utf8_strndup = &utf8_strndup;

        new_plugin->mkdir_home = &util_mkdir_home;
        new_plugin->mkdir = &util_mkdir;
        new_plugin->mkdir_parents = &util_mkdir_parents;
        new_plugin->exec_on_files = &util_exec_on_files;
        new_plugin->file_get_content = &util_file_get_content;

        new_plugin->util_timeval_cmp = &util_timeval_cmp;
        new_plugin->util_timeval_diff = &util_timeval_diff;
        new_plugin->util_timeval_add = &util_timeval_add;
        new_plugin->util_get_time_string = &util_get_time_string;
        new_plugin->util_version_number = &util_version_number;

        new_plugin->list_new = &weelist_new;
        new_plugin->list_add = &weelist_add;
        new_plugin->list_search = &weelist_search;
        new_plugin->list_search_pos = &weelist_search_pos;
        new_plugin->list_casesearch = &weelist_casesearch;
        new_plugin->list_casesearch_pos = &weelist_casesearch_pos;
        new_plugin->list_get = &weelist_get;
        new_plugin->list_set = &weelist_set;
        new_plugin->list_next = &weelist_next;
        new_plugin->list_prev = &weelist_prev;
        new_plugin->list_string = &weelist_string;
        new_plugin->list_user_data = &weelist_user_data;
        new_plugin->list_size = &weelist_size;
        new_plugin->list_remove = &weelist_remove;
        new_plugin->list_remove_all = &weelist_remove_all;
        new_plugin->list_free = &weelist_free;

        new_plugin->arraylist_new = arraylist_new;
        new_plugin->arraylist_size = arraylist_size;
        new_plugin->arraylist_get = arraylist_get;
        new_plugin->arraylist_search = arraylist_search;
        new_plugin->arraylist_insert = arraylist_insert;
        new_plugin->arraylist_add = arraylist_add;
        new_plugin->arraylist_remove = arraylist_remove;
        new_plugin->arraylist_clear = arraylist_clear;
        new_plugin->arraylist_free = arraylist_free;

        new_plugin->hashtable_new = &hashtable_new;
        new_plugin->hashtable_set_with_size = &hashtable_set_with_size;
        new_plugin->hashtable_set = &hashtable_set;
        new_plugin->hashtable_get = &hashtable_get;
        new_plugin->hashtable_has_key = &hashtable_has_key;
        new_plugin->hashtable_map = &hashtable_map;
        new_plugin->hashtable_map_string = &hashtable_map_string;
        new_plugin->hashtable_dup = &hashtable_dup;
        new_plugin->hashtable_get_integer = &hashtable_get_integer;
        new_plugin->hashtable_get_string = &hashtable_get_string;
        new_plugin->hashtable_set_pointer = &hashtable_set_pointer;
        new_plugin->hashtable_add_to_infolist = &hashtable_add_to_infolist;
        new_plugin->hashtable_add_from_infolist = &hashtable_add_from_infolist;
        new_plugin->hashtable_remove = &hashtable_remove;
        new_plugin->hashtable_remove_all = &hashtable_remove_all;
        new_plugin->hashtable_free = &hashtable_free;

        new_plugin->config_new = &config_file_new;
        new_plugin->config_new_section = &config_file_new_section;
        new_plugin->config_search_section = &config_file_search_section;
        new_plugin->config_new_option = &config_file_new_option;
        new_plugin->config_search_option = &config_file_search_option;
        new_plugin->config_search_section_option = &config_file_search_section_option;
        new_plugin->config_search_with_string = &config_file_search_with_string;
        new_plugin->config_string_to_boolean = &config_file_string_to_boolean;
        new_plugin->config_option_reset = &config_file_option_reset;
        new_plugin->config_option_set = &config_file_option_set;
        new_plugin->config_option_set_null = &config_file_option_set_null;
        new_plugin->config_option_unset = &config_file_option_unset;
        new_plugin->config_option_rename = &config_file_option_rename;
        new_plugin->config_option_get_string = &config_file_option_get_string;
        new_plugin->config_option_get_pointer = &config_file_option_get_pointer;
        new_plugin->config_option_is_null = &config_file_option_is_null;
        new_plugin->config_option_default_is_null = &config_file_option_default_is_null;
        new_plugin->config_boolean = &config_file_option_boolean;
        new_plugin->config_boolean_default = &config_file_option_boolean_default;
        new_plugin->config_integer = &config_file_option_integer;
        new_plugin->config_integer_default = &config_file_option_integer_default;
        new_plugin->config_string = &config_file_option_string;
        new_plugin->config_string_default = &config_file_option_string_default;
        new_plugin->config_color = &config_file_option_color;
        new_plugin->config_color_default = &config_file_option_color_default;
        new_plugin->config_write_option = &config_file_write_option;
        new_plugin->config_write_line = &config_file_write_line;
        new_plugin->config_write = &config_file_write;
        new_plugin->config_read = &config_file_read;
        new_plugin->config_reload = &config_file_reload;
        new_plugin->config_option_free = &plugin_api_config_file_option_free;
        new_plugin->config_section_free_options = &config_file_section_free_options;
        new_plugin->config_section_free = &config_file_section_free;
        new_plugin->config_free = &config_file_free;
        new_plugin->config_get = &plugin_api_config_get;
        new_plugin->config_get_plugin = &plugin_api_config_get_plugin;
        new_plugin->config_is_set_plugin = &plugin_api_config_is_set_plugin;
        new_plugin->config_set_plugin = &plugin_api_config_set_plugin;
        new_plugin->config_set_desc_plugin = &plugin_api_config_set_desc_plugin;
        new_plugin->config_unset_plugin = &plugin_api_config_unset_plugin;

        new_plugin->key_bind = &gui_key_bind_plugin;
        new_plugin->key_unbind = &gui_key_unbind_plugin;

        new_plugin->prefix = &plugin_api_prefix;
        new_plugin->color = &plugin_api_color;
        new_plugin->printf_date_tags = &mock_printf;
        new_plugin->printf_y = &gui_chat_printf_y;
        new_plugin->log_printf = &log_printf;

        new_plugin->hook_command = &hook_command;
        new_plugin->hook_command_run = &hook_command_run;
        new_plugin->hook_timer = &hook_timer;
        new_plugin->hook_fd = &hook_fd;
        new_plugin->hook_process = &hook_process;
        new_plugin->hook_process_hashtable = &hook_process_hashtable;
        new_plugin->hook_connect = &hook_connect;
        new_plugin->hook_line = &hook_line;
        new_plugin->hook_print = &hook_print;
        new_plugin->hook_signal = &hook_signal;
        new_plugin->hook_signal_send = &hook_signal_send;
        new_plugin->hook_hsignal = &hook_hsignal;
        new_plugin->hook_hsignal_send = &hook_hsignal_send;
        new_plugin->hook_config = &hook_config;
        new_plugin->hook_completion = &hook_completion;
        new_plugin->hook_completion_get_string = &hook_completion_get_string;
        new_plugin->hook_completion_list_add = &hook_completion_list_add;
        new_plugin->hook_modifier = &hook_modifier;
        new_plugin->hook_modifier_exec = &hook_modifier_exec;
        new_plugin->hook_info = &hook_info;
        new_plugin->hook_info_hashtable = &hook_info_hashtable;
        new_plugin->hook_infolist = &hook_infolist;
        new_plugin->hook_hdata = &hook_hdata;
        new_plugin->hook_focus = &hook_focus;
        new_plugin->hook_set = &hook_set;
        new_plugin->unhook = &unhook;
        new_plugin->unhook_all = &unhook_all_plugin;

        new_plugin->buffer_new = &gui_buffer_new;
        new_plugin->buffer_search = &gui_buffer_search_by_name;
        new_plugin->buffer_search_main = &gui_buffer_search_main;
        new_plugin->buffer_clear = &gui_buffer_clear;
        new_plugin->buffer_close = &gui_buffer_close;
        new_plugin->buffer_merge = &gui_buffer_merge;
        new_plugin->buffer_unmerge = &gui_buffer_unmerge;
        new_plugin->buffer_get_integer = &gui_buffer_get_integer;
        new_plugin->buffer_get_string = &gui_buffer_get_string;
        new_plugin->buffer_get_pointer = &gui_buffer_get_pointer;
        new_plugin->buffer_set = &gui_buffer_set;
        new_plugin->buffer_set_pointer = &gui_buffer_set_pointer;
        new_plugin->buffer_string_replace_local_var = &gui_buffer_string_replace_local_var;
        new_plugin->buffer_match_list = &gui_buffer_match_list;

        new_plugin->window_search_with_buffer = &gui_window_search_with_buffer;
        new_plugin->window_get_integer = &gui_window_get_integer;
        new_plugin->window_get_string = &gui_window_get_string;
        new_plugin->window_get_pointer = &gui_window_get_pointer;
        new_plugin->window_set_title = &gui_window_set_title;

        new_plugin->nicklist_add_group = &gui_nicklist_add_group;
        new_plugin->nicklist_search_group = &gui_nicklist_search_group;
        new_plugin->nicklist_add_nick = &gui_nicklist_add_nick;
        new_plugin->nicklist_search_nick = &gui_nicklist_search_nick;
        new_plugin->nicklist_remove_group = &gui_nicklist_remove_group;
        new_plugin->nicklist_remove_nick = &gui_nicklist_remove_nick;
        new_plugin->nicklist_remove_all = &gui_nicklist_remove_all;
        new_plugin->nicklist_get_next_item = &gui_nicklist_get_next_item;
        new_plugin->nicklist_group_get_integer = &gui_nicklist_group_get_integer;
        new_plugin->nicklist_group_get_string = &gui_nicklist_group_get_string;
        new_plugin->nicklist_group_get_pointer = &gui_nicklist_group_get_pointer;
        new_plugin->nicklist_group_set = &gui_nicklist_group_set;
        new_plugin->nicklist_nick_get_integer = &gui_nicklist_nick_get_integer;
        new_plugin->nicklist_nick_get_string = &gui_nicklist_nick_get_string;
        new_plugin->nicklist_nick_get_pointer = &gui_nicklist_nick_get_pointer;
        new_plugin->nicklist_nick_set = &gui_nicklist_nick_set;

        new_plugin->bar_item_search = &gui_bar_item_search;
        new_plugin->bar_item_new = &gui_bar_item_new;
        new_plugin->bar_item_update = &gui_bar_item_update;
        new_plugin->bar_item_remove = &gui_bar_item_free;
        new_plugin->bar_search = &gui_bar_search;
        new_plugin->bar_new = &gui_bar_new;
        new_plugin->bar_set = &gui_bar_set;
        new_plugin->bar_update = &gui_bar_update;
        new_plugin->bar_remove = &gui_bar_free;

        new_plugin->command = &plugin_api_command;
        new_plugin->command_options = &plugin_api_command_options;

        new_plugin->network_pass_proxy = &network_pass_proxy;
        new_plugin->network_connect_to = &network_connect_to;

        new_plugin->info_get = &hook_info_get;
        new_plugin->info_get_hashtable = &hook_info_get_hashtable;

        new_plugin->infolist_new = &infolist_new;
        new_plugin->infolist_new_item = &infolist_new_item;
        new_plugin->infolist_new_var_integer = &infolist_new_var_integer;
        new_plugin->infolist_new_var_string = &infolist_new_var_string;
        new_plugin->infolist_new_var_pointer = &infolist_new_var_pointer;
        new_plugin->infolist_new_var_buffer = &infolist_new_var_buffer;
        new_plugin->infolist_new_var_time = &infolist_new_var_time;
        new_plugin->infolist_search_var = &infolist_search_var;
        new_plugin->infolist_get = &hook_infolist_get;
        new_plugin->infolist_next = &plugin_api_infolist_next;
        new_plugin->infolist_prev = &plugin_api_infolist_prev;
        new_plugin->infolist_reset_item_cursor = &plugin_api_infolist_reset_item_cursor;
        new_plugin->infolist_fields = &plugin_api_infolist_fields;
        new_plugin->infolist_integer = &plugin_api_infolist_integer;
        new_plugin->infolist_string = &plugin_api_infolist_string;
        new_plugin->infolist_pointer = &plugin_api_infolist_pointer;
        new_plugin->infolist_buffer = &plugin_api_infolist_buffer;
        new_plugin->infolist_time = &plugin_api_infolist_time;
        new_plugin->infolist_free = &plugin_api_infolist_free;

        new_plugin->hdata_new = &hdata_new;
        new_plugin->hdata_new_var = &hdata_new_var;
        new_plugin->hdata_new_list = &hdata_new_list;
        new_plugin->hdata_get = &hook_hdata_get;
        new_plugin->hdata_get_var_offset = &hdata_get_var_offset;
        new_plugin->hdata_get_var_type = &hdata_get_var_type;
        new_plugin->hdata_get_var_type_string = &hdata_get_var_type_string;
        new_plugin->hdata_get_var_array_size = &hdata_get_var_array_size;
        new_plugin->hdata_get_var_array_size_string = &hdata_get_var_array_size_string;
        new_plugin->hdata_get_var_hdata = &hdata_get_var_hdata;
        new_plugin->hdata_get_var = &hdata_get_var;
        new_plugin->hdata_get_var_at_offset = &hdata_get_var_at_offset;
        new_plugin->hdata_get_list = &hdata_get_list;
        new_plugin->hdata_check_pointer = &hdata_check_pointer;
        new_plugin->hdata_move = &hdata_move;
        new_plugin->hdata_search = &hdata_search;
        new_plugin->hdata_char = &hdata_char;
        new_plugin->hdata_integer = &hdata_integer;
        new_plugin->hdata_long = &hdata_long;
        new_plugin->hdata_string = &hdata_string;
        new_plugin->hdata_pointer = &hdata_pointer;
        new_plugin->hdata_time = &hdata_time;
        new_plugin->hdata_hashtable = &hdata_hashtable;
        new_plugin->hdata_compare = &hdata_compare;
        new_plugin->hdata_set = &hdata_set;
        new_plugin->hdata_update = &hdata_update;
        new_plugin->hdata_get_string = &hdata_get_string;

        new_plugin->upgrade_new = &upgrade_file_new;
        new_plugin->upgrade_write_object = &upgrade_file_write_object;
        new_plugin->upgrade_read = &upgrade_file_read;
        new_plugin->upgrade_close = &upgrade_file_close;

        /* add new plugin to list */
        new_plugin->prev_plugin = 0;
        new_plugin->next_plugin = NULL;
    }
    return new_plugin;
}
uint8_t * current_fuzz_ptr;
size_t size_left;
int did = 0;
char ** my_argv;
#include <time.h>
void do_init(){
    if(!did){
        weechat_headless = 1;
        my_argv = malloc(16);
        my_argv[0] = "fuzz_irc";
        my_argv[1] = 0;
        weechat_init (1, my_argv, 0);
        fuzz_irc_plugin = init_plugin_a();
        weechat_plugin_init(fuzz_irc_plugin, 0, 0);    
        did = 1;
        // hook_signal_send("irc_input_send")
    }else{
        clock_t start1,end1,start2,end2; 
        start1 = clock(); 
        
        weechat_plugin_end(fuzz_irc_plugin);
        unhook_all_plugin(fuzz_irc_plugin, NULL);
        start2 = end1 = clock(); 
        // if(did == 12){
            // exit(1);
        // }
        weechat_plugin_init(fuzz_irc_plugin, 0, 0);    
        end2= clock();
        double time_taken = ((double)end1-start1)/CLOCKS_PER_SEC; // in seconds 
        double time_taken1 = ((double)end2-start2)/CLOCKS_PER_SEC; // in seconds 
        // printf("plugin_end() took %f. plugin_init took %f seconds.\n", time_taken,time_taken1); 
        did++;
    }
}
//#include "../../gui/curses/gui-curses.h"
extern void gui_main_init ();
struct t_irc_server *conn_server = NULL;

void do_init_connect(){
    if(!did){
        printf("%lu %p\n", size_left, current_fuzz_ptr);
        weechat_headless = 1;
        my_argv = malloc(16);
        my_argv[0] = "fuzz_irc";
        my_argv[1] = 0;
        weechat_init (1, my_argv, 0);
        fuzz_irc_plugin = init_plugin_a();
        weechat_plugin_init(fuzz_irc_plugin, 0, 0);  
        gui_main_init();  
        did = 1;
        hook_command_exec(gui_current_window->buffer, 0, fuzz_irc_plugin, "/connect localhost");
        hook_command_run_exec(gui_current_window->buffer, "/connect localhost");   
        hook_timer_exec ();
        hook_process_exec();
        hook_fd_exec();        
    }
}


#include "irc-server.h"
void do_fuzz_connect(){
    while(size_left > 0){
        //do our thing
        // hook_timer_exec ();
        // hook_process_exec();
    // hook_fd_exec();
        irc_server_recv_cb(conn_server, NULL, 0);

    }
    free(conn_server->unterminated_message);
    conn_server->unterminated_message = NULL;
}

int LLVMFuzzerTestOneInput(const uint8_t *Data, size_t Size) {  
    // printf("Go\n");
    current_fuzz_ptr = Data;
    size_left = Size;
    // do_init();
    do_init_connect();
    do_fuzz_connect();
    // int sum =0;
    // for(size_t i = 0; i < Size; i++){
    //         sum+=Data[i];
    // }
    // printf("%i\n", Size);
    //DoSomethingWithData(Data, Size);
    return 0;
}

#include <stdio.h>
#ifdef STANDALONE_EXE
int main(int argc, char *argv[]){
    if(argc < 2){
        fprintf(stderr, "Usage: fuzz_irc /path/to/file");
        return 1;
    }

    void* buf = NULL;
    int nLen = 0;
    
    FILE* f = fopen(argv[1], "rb");
    if( !f )
    {
        fprintf(stderr, "%s does not exist.\n", argv[1]);
        exit(1);
    }
    fseek(f, 0, SEEK_END);
    nLen = (int)ftell(f);
    fseek(f, 0, SEEK_SET);
     buf = malloc(nLen);
    if( !buf )
    {
        fprintf(stderr, "malloc failed.\n");
        fclose(f);
        exit(1);
    }
    fread(buf, nLen, 1, f);
    fclose(f);
    LLVMFuzzerTestOneInput((const uint8_t*)(buf), nLen);
    free(buf);
    return 0;
}
#endif