#ifndef FUZZ_MAIN_H
#define FUZZ_MAIN_H
#include <stdint.h>
#include "irc-server.h"
#include <time.h>
#include <stdio.h>

extern uint8_t * current_fuzz_ptr;
extern size_t size_left;
extern struct t_irc_server *conn_server;

#ifdef DOTIME
#define INITTIME() \
    clock_t start,t;\
    double time_taken;

#define TIME(SECTION) \
    start = clock(); \
    SECTION; \
    t = clock(); \
    time_taken = ((double)t-start)/CLOCKS_PER_SEC; \
    printf(#SECTION " took %f seconds to execute \n", time_taken); 
#else
#define TIME(SECTION) SECTION;
#define INITTIME() 
#endif
#endif